desc 'Create a new draft on the indicated site repository.'
arg_name '<post-name>'
command :draft do |c|
	c.desc 'Target site repository where the post draft will be created.'
	c.flag [:site]
	c.action do |glob, ops, args|
		Post.draft(args,ops)
	end
end

desc 'Publish a repository draft on the corresponding posterous site.'
arg_name '<draft-name>'
arg_name '<password>'
command :publish do |c|
	c.desc 'Repository where the draft is stored.'
	c.flag [:site]
	c.action do |glob, ops, args|
		Post.publish(Post.new(args, ops))
	end
end
