require 'rubygems'
require 'gli'
require 'redcloth'
require 'gmail'
require 'pathname'
require 'extlib'

module RuGPost

	# directory containing RuGPost library files
	LIB =  Pathname(__FILE__).dirname.expand_path/'rugpost'

	# requires
	require LIB/'utilis'
	require LIB/'site'
	require LIB/'project'
	require LIB/'post'

	include RuGPost::Utilis

	# project configuration file
	CONFIG = 'config.yaml'
	TEMPLATE = 'template'
	VERSION = '0.1.1'

end
