desc 'Initialize a RuGPost project.'
command :init do |c|
	c.action do |glob, ops, args|
		Project.init(args,ops)
	end
end

desc 'Create a repo for a posterous site.'
arg_name '<site-name>'
command :repo do |c|
	c.action do |glob, ops, args|
		Project.add_repo(args,ops)
	end
end

desc 'Configure project global options'
command :config do |c|
	c.desc 'Configure gmail account used to post on posterous sites. Needs the gmail (without @gmail).'
	c.flag [:gmail]
	c.action do |glob,ops,args|
		Project.config(args,ops)
	end
end
